Bug 495013 - yum crash: NameError: global name 'base' is not defined
yum crash: NameError: global name 'base' is not defined
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 00:11 EDT by Jeremy Huddleston
Modified: 2014-01-21 18:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 01:42:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Huddleston 2009-04-09 00:11:19 EDT
I can't seem to install packages with the newly updated yum.

[jeremy@localhost ~]$ sudo yum install eclipse
Loaded plugins: refresh-packagekit
Setting up Install Process
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 219, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 711, in buildTransaction
    base.yumUtilsMsg(self.logger.critical, "yum-complete-transaction")
NameError: global name 'base' is not defined

[jeremy@localhost ~]$ yum --version
3.2.22
  Installed: rpm-4.7.0-0.beta1.9.fc11.ppc at 2009-04-06 01:10
  Built    : Fedora Project at 2009-04-03 07:52
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2009-04-03 12:00

  Installed: yum-3.2.22-2.fc11.noarch at 2009-04-09 00:56
  Built    : Fedora Project at 2009-04-07 20:28
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2009-04-07 12:00

  Installed: yum-metadata-parser-1.1.2-12.fc11.ppc at 2009-04-06 01:14
  Built    : Fedora Project at 2009-02-25 18:47
  Committed: Fedora Release Engineering <rel-eng@lists.fedoraproject.org> at 2009-02-25 22:00
Comment 1 James Antill 2009-04-09 01:42:30 EDT
"""There are unfinished transactions remaining. You might consider running
yum-complete-transaction first to finish them."""

 Use either yum-complete-transaction or yum-complete-transaction --clean.
 The above has been fixed upstream (change base to self, if you want to do it).

Note You need to log in before you can comment on or make changes to this bug.